Skip to content
Start here

Sync

Deprecated
PATCH/accounts/{account_id}/autorag/rags/{id}/sync

Sync

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Auto Rag Write
Path ParametersExpand Collapse
account_id: string
id: string

rag id

maxLength32
minLength1
ReturnsExpand Collapse
result: { job_id }
job_id: string
success: boolean

Sync

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/autorag/rags/$ID/sync \
    -X PATCH \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "job_id": "job_id"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "job_id": "job_id"
  },
  "success": true
}